<?php

/**
 This project has been generated by worker generator
 has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 check out my github @dekaulitz
 */

namespace App\Http\Models;

use Carbon\Carbon;
use App\Http\Base\BaseModel;

class LaporanbbmdetailsModel extends BaseModel
{
    /**
     * table name from database
     */
    protected $table = "laporanbbm_details";

    /**
     *   alias table for relation issues
     */
    protected $aliasTable = "laporanbbmdetails";

    /**
     * primary key from table remember eloquent doesnt support composite primary key
     */
    protected $primaryKey = "id";
    /**
     * check the incrementing boolean if the incrementing from database is false then the value is false by default
     */
    // public $incrementing = false;
    /**
     * fillable property for eloquent attribute cast
     */
    protected $fillable = [
        "id", "reportId", "transactionNo", "transactionDate", "pelabuhan", "qty", "tahun", "bulan", "itemId"
    ];
    /**
     * Creating raw object from table that, this purpose for making you easier for remembering all attribute
     */


    /**
     * paging for default paging purpose
     * if you want to add new paging property you have to add the property in this array
     * you have to add the relation value
     * remember this is not suported casting value you have to handle by your self
     */
    protected $aliasPaging = [
        "id" => "laporanbbmdetails.id",
        "voyage_name" => "laporanbbmdetails.voyage_name",
        "bulan" => "laporanbbmdetails.bulan",
        "tahun" => "laporanbbmdetails.tahun"
    ];
}
